Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.csstudio.opibuilder.scriptUtil
Class ScriptUtil

The utility class to facilitate Javascript programming.

Author:
  Xihui Chen

Constructor Summary
`ScriptUtil()`

Method Summary
`static void` | `makeElogEntry(java.lang.String filePath)` Pop up an Elog dialog to make an Elog entry.
`static void` | `openOPI(org.csstudio.opibuilder.editparts.AbstractBaseEditPart widgetController, java.lang.String relative_path, boolean newWindow, org.csstudio.opibuilder.util.MacrosInput macrosInput)` Open an OPI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptUtil

    public ScriptUtil()

Method Detail

### openOPI

    public static final void openOPI(org.csstudio.opibuilder.editparts.AbstractBaseEditPart widgetController,
                                     java.lang.String relative_path,
                                     boolean newWindow,
                                     org.csstudio.opibuilder.util.MacrosInput macrosInput)

  Open an OPI.

  Parameters:
    `widgetController` - the widgetController to which the script is attached.
    `relative_path` - the path of the OPI relative to the Display file of the widgetContoller.
    `newWindow` - true if it will be opened in a new window. false if in a new tab.
    `macrosInput` - the macrosInput. null if no macros needed.

### makeElogEntry

    public static final void makeElogEntry(java.lang.String filePath)

  Pop up an Elog dialog to make an Elog entry.

  Parameters:
    `filePath` - path of a file to attach or null. It could be either a local file system file path or a workspace file path. File types that the logbook support depend on implementation but should include *.gif, *.jpg: File will be attached as image.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD